import { Modal } from "antd";
import React, { useState, useEffect } from "react";
import Cart from "./Cart";

const App = (props) => {
  const { handleToggleCart } = props;
  const sum = props.buy.reduce((accumulator, object) => {
    return accumulator + object.price * object.amount;
  }, 0);

  return (
    <>
      <Modal
        title="購物車"
        centered
        visible={props.show}
        onOk={() => handleToggleCart()}
        onCancel={() => handleToggleCart()}
        width={1000}
        footer={<div>價錢{sum}</div>}
      >
        <Cart
          buy={props.buy}
          onhandleAnmountChange={props.handleAnmountChange}
          onhandleDelete={props.handleDeleteCart}
        ></Cart>
      </Modal>
    </>
  );
};

export default App;
